# Dotfiles

I primarily use OS X and [NixOS](http://nixos.org) GNU/Linux. I'm trying [nix](https://nixos.org/nix/) on OS X for package management, and [Homebrew](http://brew.sh/) for anything that's missing or broken.

After ~15 years with Vim & [Tmux](https://tmux.github.io/)/[GNU Screen](https://www.gnu.org/software/screen/), I've switched to [Emacs](https://www.gnu.org/software/emacs/) & [Spacemacs](https://github.com/syl20bnr/spacemacs).

## Emacs

If you
- like Vim's modal UI
- like Lisp better than Vimscript (yes, I know about neovim) 
- want a huge, ancient hacker community & ecosystem

then I really suggest checking out Emacs & Spacemacs. Emacs really is a great operating system, and now it has a great editor.

## Other Software
- Email: [offlineimap](http://offlineimap.org) & [mu](https://github.com/djcb/mu) & [mu4e](http://www.djcbsoftware.nl/code/mu/mu4e.html) via [Fastmail](https://www.fastmail.com/)
- Terminal: [multiterm](http://www.emacswiki.org/emacs/MultiTerm) & [iTerm 2](http://www.iterm2.com) (OS X) & [urxvt](http://software.schmorp.de/pkg/rxvt-unicode.html) (Linux)
- Shell: [EShell](http://www.gnu.org/software/emacs/manual/html_mono/eshell.html) & [Zsh](http://www.zsh.org) & [Antigen](https://github.com/zsh-users/antigen)
- Browser: [eww](http://www.emacswiki.org/emacs/eww) & [Firefox](https://www.mozilla.org/en-US/firefox) & [Vimperator](http://www.vimperator.org/vimperator)
- IRC: [ERC](http://www.emacswiki.org/emacs/ERC)
- Notes & TODO & bookmarks & spreadsheets & blog & etc.: [Org mode](http://orgmode.org)
- Window Manager & Launcher: [Alfred](http://www.alfredapp.com) (OS X) & [xmonad](http://xmonad.org) (Linux)
- Sync: [Syncthing](https://syncthing.net)
- RSS Reader: [Elfeed](https://github.com/skeeto/elfeed)

## TODO
- [ ] Switch from [GitHub](http://github.com) to [GitLab](https://gitlab.com)
- [ ] Switch to NixOS full time
- [x] ~~Switch from Gmail to [Fastmail](http://www.fastmail.com)~~
- [X] ~~Switch from Dropbox to Syncthing~~
- [x] ~~[vdirsyncer](https://github.com/untitaker/vdirsyncer) to sync CardDAV and CalDAV (to be hosted on Fastmail)~~
  - ~~Calendar: [khal](https://github.com/geier/khal) (Or maybe something in Emacs)~~
  - ~~Contacts: [khard](https://github.com/scheibler/khard)~~
- [ ] Music: [mpd](http://www.musicpd.org) or [Mopidy](https://www.mopidy.com) & [ncmpcpp](http://ncmpcpp.rybczak.net) (Or [Mingus](https://github.com/pft/mingus) in Emacs)
